DAOS API: daos_ace Struct Reference

| DAOS API (v2.1 - dev)

Loading...
Searching...
No Matches
daos_ace Struct Reference

`#include <daos_security.h>`

## Data Fields
uint8_t | dae_access_types
uint8_t | dae_principal_type
uint16_t | dae_principal_len
uint16_t | dae_access_flags
uint16_t | dae_reserv
uint64_t | dae_allow_perms
uint64_t | dae_audit_perms
uint64_t | dae_alarm_perms
char | dae_principal []

## Detailed Description

Access Control Entry for a given principal. Each principal has at most one ACE that lists all their permissions in a given Access Control List.

Definition at line 174 of file daos_security.h.

## Field Documentation

## ◆ dae_access_flags

uint16_t dae_access_flags

Bitmap of daos_acl_flags

Definition at line 182 of file daos_security.h.

## ◆ dae_access_types

uint8_t dae_access_types

Bitmap of daos_acl_access_type

Definition at line 176 of file daos_security.h.

## ◆ dae_alarm_perms

uint64_t dae_alarm_perms

Bitmap of daos_acl_perm for ALARM access

Definition at line 190 of file daos_security.h.

## ◆ dae_allow_perms

uint64_t dae_allow_perms

Bitmap of daos_acl_perm for the ALLOW access

Definition at line 186 of file daos_security.h.

## ◆ dae_audit_perms

uint64_t dae_audit_perms

Bitmap of daos_acl_perm for AUDIT access

Definition at line 188 of file daos_security.h.

## ◆ dae_principal

char dae_principal[]

Null-terminated string representing the principal name for specific user/group. Actual bytes allocated MUST be rounded up for 64-bit alignment. Empty for special principals OWNER, OWNER_GROUP, and EVERYONE.

Definition at line 197 of file daos_security.h.

## ◆ dae_principal_len

uint16_t dae_principal_len

Length of the principal string

Definition at line 180 of file daos_security.h.

## ◆ dae_principal_type

uint8_t dae_principal_type

daos_acl_principal_type

Definition at line 178 of file daos_security.h.

## ◆ dae_reserv

uint16_t dae_reserv

Reserved for 64-bit alignment

Definition at line 184 of file daos_security.h.

The documentation for this struct was generated from the following file:

- src/include/daos_security.h